<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('error_users', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('official_openid');
            $table->boolean('is_banned')->default(0)->comment("是否禁用，0：不禁用，1：禁用");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('error_users');
    }
};
